"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadCompilerOptions = void 0;
const find_up_1 = __importDefault(require("find-up"));
const jsonfile_1 = __importDefault(require("jsonfile"));
const fs_extra_1 = __importDefault(require("fs-extra"));
function loadCompilerOptions(tsconfigPath) {
    if (!tsconfigPath) {
        const configPath = find_up_1.default.sync(['tsconfig.json']);
        if (configPath) {
            const config = jsonfile_1.default.readFileSync(configPath);
            return config['compilerOptions'] || {};
        }
    }
    else {
        if (fs_extra_1.default.existsSync(tsconfigPath)) {
            const config = jsonfile_1.default.readFileSync(tsconfigPath);
            return config['compilerOptions'] || {};
        }
    }
}
exports.loadCompilerOptions = loadCompilerOptions;
