"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOption = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
function normalizeOption(options = {}) {
    var _a, _b, _c;
    const alias = (_a = options.alias) !== null && _a !== void 0 ? _a : {};
    const cwd = (_b = options.cwd) !== null && _b !== void 0 ? _b : process.cwd();
    for (const [k, v] of Object.entries(alias)) {
        if (fs_extra_1.default.statSync(v).isDirectory()) {
            fs_extra_1.default.readdirSync(v).forEach((file) => {
                const replacedKey = k.replace('*', file.replace(path_1.default.extname(file), ''));
                !alias[replacedKey]
                    ? (alias[replacedKey] = path_1.default.join(v, file))
                    : void 0;
            });
            delete alias[k];
        }
    }
    const shouldSkipThisPlugin = (_c = options.skip) !== null && _c !== void 0 ? _c : !Object.keys(alias).length;
    return {
        alias,
        skip: shouldSkipThisPlugin,
        cwd,
    };
}
exports.normalizeOption = normalizeOption;
